> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a hold on an environment listing

> Place a temporary hold on an environment listing



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json post /environments/{envId}/listing/hold
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /environments/{envId}/listing/hold:
    post:
      tags:
        - Environments
      summary: Create a hold on an environment listing
      description: Place a temporary hold on an environment listing
      parameters:
        - in: path
          name: envId
          required: true
          schema:
            type: string
          description: Environment ID
      responses:
        '200':
          description: Hold successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  heldUntil:
                    type: string
                    format: date-time
                    description: Timestamp until when the hold is valid
                  now:
                    type: string
                    format: date-time
                    description: Current server timestamp
                required:
                  - heldUntil
                  - now
        '400':
          description: Invalid request
        '404':
          description: Environment not found
        '409':
          description: Environment is already on hold
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````